Page MenuHomePhabricator

Restrict local uploads to commons for MediaWiki.org
Closed, ResolvedPublic

Description

Restrict local uploads to commons for MediaWiki.org

There is consensus for this, please see https://www.mediawiki.org/wiki/Project:Requests/RfC/Restrict_local_uploads_on_mediawiki.org.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2019, 8:04 PM
Leaderboard triaged this task as Normal priority.Mar 3 2019, 8:08 PM
Dcljr updated the task description. (Show Details)Mar 3 2019, 8:30 PM
Dcljr added a subscriber: Dcljr.Mar 3 2019, 8:33 PM

(For future reference, @Leaderboard, you shouldn't rely solely on the task title to communicate what is being requested, since the title can be changed at any time. I took the liberty of copying the title into the task description.)

MarcoAurelio added a subscriber: MarcoAurelio.

I can take care of this.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptMar 3 2019, 9:01 PM

Change 494218 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] Restrict local uploads on mediawiki.org

https://gerrit.wikimedia.org/r/494218

Can we also have an Uploaders group or similar that can be assigned by admins? That option was suggested in the discussion, and I think it would be useful in case there indeed are legitimate reasons to upload which we have missed.

Can we also have an Uploaders group or similar that can be assigned by admins? That option was suggested in the discussion, and I think it would be useful in case there indeed are legitimate reasons to upload which we have missed.

Sure. It's easy enough to do.

Change 494225 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] Create an 'uploader' group on mediawiki.org

https://gerrit.wikimedia.org/r/494225

I decided to go with two patches because it's easier to test before deploying this way.

I'll see if I have time to SWAT this today. If not, I'll try to do it during this week.

Today's window is full. It'll have to be another day.

Change 494218 merged by jenkins-bot:
[operations/mediawiki-config@master] Restrict local uploads on mediawiki.org

https://gerrit.wikimedia.org/r/494218

Change 494806 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] Restrict local uploads on mediawiki.org, take 2

https://gerrit.wikimedia.org/r/494806

For some reason https://gerrit.wikimedia.org/r/494218 didn't worked. I suspect we need to touch both InitialiseSettings and/or CommonSettings while testing on mwdebug/deploying so it works.

Change 494806 merged by jenkins-bot:
[operations/mediawiki-config@master] Restrict local uploads on mediawiki.org, take 2

https://gerrit.wikimedia.org/r/494806

Mentioned in SAL (#wikimedia-operations) [2019-03-07T12:34:19Z] <zfilipin@deploy1001> Synchronized dblists/commonsuploads.dblist: SWAT: [[gerrit:494806|Restrict local uploads on mediawiki.org, take 2 (T217523)]] (duration: 00m 56s)

Change 494225 merged by jenkins-bot:
[operations/mediawiki-config@master] Create an 'uploader' group on mediawiki.org

https://gerrit.wikimedia.org/r/494225

Mentioned in SAL (#wikimedia-operations) [2019-03-07T12:41:17Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:494225|Create an uploader group on mediawiki.org (T217523)]] (duration: 00m 55s)

MarcoAurelio closed this task as Resolved.Mar 7 2019, 1:19 PM
MarcoAurelio moved this task from ready to archive on the User-MarcoAurelio board.

Change 495015 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] Grant 'reupload-shared' to mediawiki uploaders

https://gerrit.wikimedia.org/r/495015

Change 495015 merged by jenkins-bot:
[operations/mediawiki-config@master] Grant 'reupload-shared' to mediawiki uploaders

https://gerrit.wikimedia.org/r/495015

Mentioned in SAL (#wikimedia-operations) [2019-03-07T19:22:19Z] <niharika29@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Grant 'reupload-shared' to mediawiki uploaders and fix T217523 (duration: 00m 49s)